Package lxml :: Package tests :: Module test_xpathevaluator

[hide private]
[frames] | no frames]

# Module test_xpathevaluator

source code

Test cases related to XPath evaluation and the XPath class

Classes | [hide private]

| ETreeXPathTestCase XPath tests etree
| ETreeXPathClassTestCase Tests for the XPath class
| ETreeXPathExsltTestCase Tests for the EXSLT support in XPath (requires libxslt 1.1.25+)
| ETreeETXPathClassTestCase Tests for the ETXPath class

Functions | [hide private]

tag(elem) | source code

tag_or_value(elem) | source code

stringTest(ctxt, s1) | source code

stringListTest(ctxt, s1) | source code

floatTest(ctxt, f1) | source code

booleanTest(ctxt, b1) | source code

setTest(ctxt, st1) | source code

setTest2(ctxt, st1) | source code

argsTest1(ctxt, s, f, b, st) | source code

argsTest2(ctxt, st1, st2) | source code

resultTypesTest(ctxt) | source code

resultTypesTest2(ctxt) | source code

xpath() Test xpath extension functions. | source code

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/stefan/source/Python/lxml/lxml-release/src/l``...``
| SAMPLE_XML = `etree.parse(BytesIO(`...``
| uri = ``'``http://www.example.com/``'``
| extension = ``{``(`None`,` `'``argsTest1``'``)``:` <function argsTest1 at 0x3f3`...``
| __package__ = ``'``lxml.tests``'``

Variables Details | [hide private]

### this_dir

Value:

      '/home/stefan/source/Python/lxml/lxml-release/src/lxml/tests'

### SAMPLE_XML

Value:

      etree.parse(BytesIO("""
      <body>
        <tag>text</tag>
        <section>
          <tag>subtext</tag>
        </section>
        <tag />
        <tag />
      ...

### extension

Value:

      {(None, 'stringTest'): stringTest, (None, 'stringListTest'): stringLis
      tTest, (None, 'floatTest'): floatTest, (None, 'booleanTest'): booleanT
      est, (None, 'setTest'): setTest, (None, 'setTest2'): setTest2, (None,
      'argsTest1'): argsTest1, (None, 'argsTest2'): argsTest2, (None, 'resul
      tTypesTest'): resultTypesTest, (None, 'resultTypesTest2'): resultTypes
      Test2,}